$VI_MODE = True
$AUTO_PUSHD = True
$XONSH_AUTOPAIR = True

xontrib load vox z

def _last_exit_status():
    try:
        exit_status = __xonsh_history__.rtns[-1]
        return exit_status if exit_status > 0 else None
    except IndexError:
        return None
$PROMPT_FIELDS['last_exit_status'] = _last_exit_status

$XONSH_STDERR_PREFIX = '{RED}'
$XONSH_STDERR_POSTFIX = '{NO_COLOR}'
$DYNAMIC_CWD_WIDTH = '40%'
$PROMPT = ''.join([
    '{RED}{last_exit_status:[{}] }',
    '{BOLD_GREEN}{user}@{hostname} ',
    '{YELLOW}{cwd} ',
    '{BLUE}{prompt_end} ',
    '{NO_COLOR}',
])
$RIGHT_PROMPT = '{gitstatus}{env_name: {}}'

# vim: filetype=python
